<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SenderKeyDistributionMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $id = null;
    


    protected $iteration = null;
    


    protected $chainKey = null;
    


    protected $signingKey = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getId()
    {
        return isset($this->id) ? $this->id : 0;
    }

    public function hasId()
    {
        return isset($this->id);
    }

    public function clearId()
    {
        unset($this->id);
    }

    




    public function setId($var)
    {
        GPBUtil::checkUint32($var);
        $this->id = $var;

        return $this;
    }

    



    public function getIteration()
    {
        return isset($this->iteration) ? $this->iteration : 0;
    }

    public function hasIteration()
    {
        return isset($this->iteration);
    }

    public function clearIteration()
    {
        unset($this->iteration);
    }

    




    public function setIteration($var)
    {
        GPBUtil::checkUint32($var);
        $this->iteration = $var;

        return $this;
    }

    



    public function getChainKey()
    {
        return isset($this->chainKey) ? $this->chainKey : '';
    }

    public function hasChainKey()
    {
        return isset($this->chainKey);
    }

    public function clearChainKey()
    {
        unset($this->chainKey);
    }

    




    public function setChainKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->chainKey = $var;

        return $this;
    }

    



    public function getSigningKey()
    {
        return isset($this->signingKey) ? $this->signingKey : '';
    }

    public function hasSigningKey()
    {
        return isset($this->signingKey);
    }

    public function clearSigningKey()
    {
        unset($this->signingKey);
    }

    




    public function setSigningKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->signingKey = $var;

        return $this;
    }

}

